Package net.shibboleth.shared.testing

# Class MockExceptionCriterion

java.lang.Object
net.shibboleth.shared.testing.MockExceptionCriterion

All Implemented Interfaces:
  `Criterion`

public class MockExceptionCriterion extends Object implements Criterion
A mock `Criterion` to cause a resolver to raise an exception.

Since:
  9.1.3

## Field Summary

Fields
Modifier and Type
Field
Description
`(package private) final ResolverException`
`exception`

## Constructor Summary

Constructors
Constructor
Description
`MockExceptionCriterion(ResolverException e)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ResolverException`
`getException()`
Gets the exception to raise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### exception

@Nonnull final ResolverException exception

## Constructor Details

### MockExceptionCriterion

public MockExceptionCriterion(@Nonnull ResolverException e)
Constructor.

Parameters:
  `e` - exception to raise

## Method Details

### getException

@Nonnull public ResolverException getException()
Gets the exception to raise.

Returns:
  exception to raise